Subject: Re: [PATCH 1/6] maintenance: add get_random_minute()

From: Junio C Hamano <[email-masked]>
Date: Mon, 07 Aug 2023 16:53:24 -0700

Taylor Blau <[email-masked]> writes:

> I was wondering where else we call srand() within Git, and it looks like
> the only other spot is in `lock_file_timeout()`.

lock_file_timeout() should be updated to match git_mkstemps_mode(),
which was taught to use the csprng_bytes() function with 47efda96
(wrapper: use a CSPRNG to generate random file names, 2022-01-17),
and this new caller may want to do so as well, perhaps?  I dunno,
but the caller then does not have to worry about "initializing it
just once".